(function ($, Drupal) {

  /**
   * EBT Tabs behavior.
   */
  Drupal.behaviors.ebtTabs = {
    attach: function (context, settings) {
      $.each(drupalSettings.ebtTabs, function(i, value){
        // Initialize jQuery UI tabs.
        var blockClass = drupalSettings.ebtTabs[i].blockClass;
        if ($('.' + blockClass).length == 0) {
          return;
        }
        var $blockTabs = $('.' + blockClass);
        if ($blockTabs.hasClass('tabs-added')) {
          return;
        }
        $blockTabs.append('<div id="ebt-tabs-' + blockClass + '"></div>');
        $('#ebt-tabs-' + blockClass).prepend('<ul class="tabs-' + blockClass + '"></ul>');
        $blockTabs.find('.field--name-field-ebt-tabs > .field__item').once('reorder-blocks').each(function(index) {
          $(this)
            .find('.ebt-tab-title')
            .appendTo($('.tabs-' + blockClass))
            .wrap('<li><a href="#ebt-tabs-' + blockClass + '-' + index + '"></a></li>');
          $(this)
            .find('.ebt-tab-content')
            .appendTo($('#ebt-tabs-' + blockClass))
            .wrap('<div id="ebt-tabs-' + blockClass + '-' + index + '"></div>');
        });
        // @todo Pass tabs options here.
        $('#ebt-tabs-' + blockClass).tabs();
        $blockTabs.addClass('tabs-added');
      });
    }
  };

})(jQuery, Drupal);
